PDA

View Full Version : This might be cool...



xamenus
November 14th, 2003, 04:30
Now I know you may not be interested in adding more mappers, but please consider this: What if you enabled Jnes to use dll plugins for mapper support? Maybe then it would be possible for you to enable Jnes to support NESten's v 1.3 open source mapper plugin? This would allow Jnes to support a lot more mappers, if the user wishes to download the NESten mappers anyway. You could use a default mapper plugin for the mappers Jnes currently supports. Do you think this could work?

Lillymon
November 14th, 2003, 05:37
The NESten mappers are discontinued. New Nintendulator mappers are going to make them obsolete.

Jabo
November 14th, 2003, 17:04
Now I know you may not be interested in adding more mappers, but please consider this: What if you enabled Jnes to use dll plugins for mapper support? Maybe then it would be possible for you to enable Jnes to support NESten's v 1.3 open source mapper plugin? This would allow Jnes to support a lot more mappers, if the user wishes to download the NESten mappers anyway. You could use a default mapper plugin for the mappers Jnes currently supports. Do you think this could work?

In short, it's a lot of work to be honest, it's no secret that I just work on this for fun every once in a while either. I think the plugins and mappers is what makes NESten so cool, I wouldn't want to take away from that, I think people should use it

If you have any recommendations I'm always curious what mappers people really would like to see supported so let me know, so far tho I've had this discussion with others and I haven't come across any I felt I could do fairly quickly to support a great game..

xamenus
November 15th, 2003, 04:06
In short, it's a lot of work to be honest, it's no secret that I just work on this for fun every once in a while either. I think the plugins and mappers is what makes NESten so cool, I wouldn't want to take away from that, I think people should use it

If you have any recommendations I'm always curious what mappers people really would like to see supported so let me know, so far tho I've had this discussion with others and I haven't come across any I felt I could do fairly quickly to support a great game..

OK, that's fine, I didn't know it would be a lot of work, but thanks for replying to my message. I can't think of any mappers I would want now; I just figured more mappers would help me out in the future if I needed them. Thanks.

scotty
November 15th, 2003, 13:11
I cannot think of any other mappers either, with the exception of completing mapper 5.

smegforbrain
November 16th, 2003, 01:22
Mapper 5 is the only one that comes to mind. :)

scotty
November 16th, 2003, 01:28
Castlevania 3 is the only Mapper 5 game that is supported for Jnes, others arent, remember ****forbrain. You probably knew this already but I said it anyways

xamenus
November 17th, 2003, 01:45
Yes, mapper 5 would probably be a more popular mapper. I realize that it is rather complex though, but you can always take a peek at other open source emus that support it well. :-)

Lillymon
November 17th, 2003, 11:03
If all you want to do is play Castlevania 3, then there are better options. Akamajyou Densetsu (GoodNES name: Akamajou Densetsu (J)) is the Japanese version and it uses mapper 24 (which Jnes supports). It also uses the VRC6 so the sound is far superior to the US version.

David Mullen (http://www.geocities.com/makoknight.geo/index.html) and Duke Serkol made a preliminary translation (http://www.geocities.com/makoknight.geo/other.html) a while back by inserting the Castlevania 3 script into the Akamajyou Densetsu ROM. It's identicle to Castlevania 3 except that the title screen is in Japanse and it still has the rockin' VRC6 music.

Kitsune Sniper (http://vice.parodius.com/index.html) has made a proper translation (http://vice.parodius.com/trans/akuden.html) of Akamajyou Densetsu. The script has been translated from Japanese and has none of the censorship or poor translation present in Konami's official translation. BMF54123 (http://bmf.rustedmagick.com/index.html) has made a title screen hack too, so the thing is fully translated!

smegforbrain
November 18th, 2003, 00:44
Castlevania 3 is the only Mapper 5 game that is supported for Jnes, others arent, remember ****forbrain. You probably knew this already but I said it anyways

Not quite up to speed on the mappers, but what mapper is Romance of the Three Kingdoms then?

Every other Koei game for the NES is mapper 5 (hence the reason I want that mapper to work for Jnes in full some day).

In the mean time, I use VirtuaNES, which runs mapper 5 flawlessly as far as I can tell. :)

Jabo
November 18th, 2003, 01:22
Romance of the Three Kingdoms is actually a game i tried to get working better in the 0.5.x series, 0.4.x ran it worse i think.. I'll see what I can do sometime I wasn't aware people were interested in that game

smegforbrain
November 19th, 2003, 01:35
Oh, well, Rot3K I've never had a problem with in JNes 0.5.x. I just can't recall off hand which mapper it is. :)

As I said, it is the only Koei game that JNes currently runs at all.
All of the others, Bandit Kings of Ancient China, Gemfire, Genghis Khan, L'Empereur, Nobunaga's Ambition 1 & 2, Romance of the Three Kingdoms 2, and Uncharted Waters, all appear to be mapper 5.

scotty
November 19th, 2003, 04:34
Oh, well, Rot3K I've never had a problem with in JNes 0.5.x. I just can't recall off hand which mapper it is. :)

As I said, it is the only Koei game that JNes currently runs at all.
All of the others, Bandit Kings of Ancient China, Gemfire, Genghis Khan, L'Empereur, Nobunaga's Ambition 1 & 2, Romance of the Three Kingdoms 2, and Uncharted Waters, all appear to be mapper 5.

Thats them, but Nobunaga's Ambition isnt Mapper 5, #2 is.

Jabo
November 19th, 2003, 14:34
Yeah also Castlevania 3 (U) is mapper 5, and it runs it quite well :)